FtpServer
  1. FtpServer
  2. FTPSERVER-388

org.apache.ftpserver:ftpserver-parent:1.0.4 pom is invalid

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Duplicate
    • Affects Version/s: 1.0.4
    • Fix Version/s: 1.0.5
    • Component/s: None
    • Labels:
      None

      Description

      ftpserver-parent-1.0.4.pom is invalid, there is an "r" character just after closing groupId tag, and before opening artifactId tag.

      Because of this Apache Maven (apache-maven-3.0-beta-3 in my case but probably Apache Maven 2 bahaves in similar fashion), when building a project which has dependency on ftpserver artifact which has ftpserver-parent as parent e.g. project with dependency to ftpserver-core, reports that ftpserver-parent pom is invalid and that because of that Apache Maven won't resolve any transitive dependencies (dependencies defined in ftpserver-core) so one has to add them manually (e.g. add dependencies to org.apache.ftpserver:ftplet-api and org.apache.mina:mina-core) even though they might not be used directly.

        Issue Links

          Activity

          No work has yet been logged on this issue.

            People

            • Assignee:
              Unassigned
              Reporter:
              Stevo Slavic
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development